InternalRewriteMap.Unescape (Apache Tomcat 9.0.62 API Documentation)

Package org.apache.catalina.valves.rewrite

## Class InternalRewriteMap.Unescape

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap.Unescape

- All Implemented Interfaces:
    `RewriteMap`
  Enclosing class:
    InternalRewriteMap

      public static class InternalRewriteMap.Unescape
      extends Object
      implements RewriteMap

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Unescape()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `lookup​(String key)` | Maps a key to a replacement value. The method is free to return `null` to indicate, that the default value from the `RewriteRule` directive should be used.
    `String` | `setParameters​(String params)` | Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.valves.rewrite.RewriteMap

      `setParameters`

- - ### Constructor Detail

    - #### Unescape

          public Unescape()

  - ### Method Detail

    - #### setParameters

          public String setParameters​(String params)

      Description copied from interface: `RewriteMap`
      Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.
      Specified by:
        `setParameters` in interface `RewriteMap`
      Parameters:
        `params` - the optional parameter
      Returns:
        value is currently ignored

    - #### lookup

          public String lookup​(String key)

      Description copied from interface: `RewriteMap`
      Maps a key to a replacement value.
      The method is free to return `null` to indicate, that the default value from the `RewriteRule` directive should be used.
      Specified by:
        `lookup` in interface `RewriteMap`
      Parameters:
        `key` - used by the actual implementation to generate a mapped value
      Returns:
        mapped value or `null`